Bug 798547 - [c2c82c360fda20533093c27c82ce0725cf40cab5]: Lot of warning logs by print_lock_list in fd-lk.c
[c2c82c360fda20533093c27c82ce0725cf40cab5]: Lot of warning logs by print_lock...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-29 03:52 EST by Rahul C S
Modified: 2013-08-06 18:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-02-29 03:52:30 EST
Description of problem:
We are printing a lot of logs with WARNING Level, by print_lock_list() in fd-lk.c 

It does not make sense also. Either should be moved to DEBUG or print the lock list.

[2012-02-27 03:45:12.528546] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.538114] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.540118] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.580965] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.586540] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.612733] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.613490] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.613937] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
[2012-02-27 03:45:12.617391] W [fd-lk.c:407:print_lock_list] 0-fd-lk: lock list:
Comment 1 Amar Tumballi 2012-03-12 05:33:34 EDT
fixed by patch http://review.gluster.com/2906
Comment 2 Rahul C S 2012-04-05 04:14:44 EDT
Not seeing these logs in default log level.

Note You need to log in before you can comment on or make changes to this bug.